import Btree;

class BtreeTest {
	public static int list[];

	public static void main (String args[]) {
	    Btree t;
	    int size;

	    if (args.length==0) {
		System.out.print("Need an integer argument as size. \n");
		return;
	    }
	    try {
		size = Integer.parseInt(args[0]);
	    } catch (Exception e) {
		System.out.print("Need an integer argument as size. \n");
		return;
	    }
	    if (size<=0) {
		System.out.print("An argument should be greater than 0. \n");
		return;
	    }

	    random_array(size);

	    t = new Btree(list[0],null,null);
	    for(int i=1;i<list.length;i++) {
		t.insert_sort(list[i]);
	    }
	    t.walk();

	    System.out.print("\n");
	    t.breadth_walk1();
	    System.out.print("\n");
	}

	public static int [] random_array (int n) {
	    int i,j;
	    list = new int [n];
	    for(i=0;i<n;i++)  list[i] = -1;
	    for(i=0;i<n;i++)  {
		j = (int)(java.lang.Math.random()*n);
		while (list[j] != -1) {
		    // we should take the nearest one intead of the next big one */
		    j = (++j<n)?j:0;
		}
		list[j]=i;
	    }
	    return list;
	}
}

